Name:		buzzbird
Version:	0.9.1
Release:	1%{?dist}
Summary:	Free and Open Source twitter and identi.ca client

Group:		Applications/Internet
License:	MIT
URL:		http://getbuzzbird.com/bb/
# source created:
# git clone -n https://github.com/mdesjardins/buzzbird.git && cd buzzbird && \
# git checkout v0.9 && git archive --prefix=buzzbird/ --format=tar HEAD | gzip -c9 > ../buzzbird-0.9.1.tar.gz
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}.1
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch

BuildRequires:	desktop-file-utils
Requires:	xulrunner

%description
Free and Open Source twitter and identi.ca client, supporting:
- Multiple Account Support
- Desktop notifications
- Service filtering
- Conversation views
- Selective filter views (can choose Timeline, @mentions, direct mentions)
- Re-tweet, Reply, Un-follow, and Favorite button on each Tweet
- Built-in URL Shortening (currently via is.gd)
- Read/Unread count in status bar

%prep
%setup -q -n %{name}
cat > %{name}.desktop <<EOF
[Desktop Entry]
Name=Buzzbird
GenericName=Buzzbird
Comment=twitter and identi.ca desktop client
Exec=buzzbird
Icon=buzzbird
Terminal=false
Type=Application
Categories=Network;
EOF

%build

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{_datadir}/%{name}/chrome
%{__mkdir_p} %{buildroot}/%{_datadir}/%{name}/defaults/
%{__mkdir_p} %{buildroot}/%{_datadir}/%{name}/extensions/
%{__mkdir_p} %{buildroot}%{_datadir}/pixmaps/
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_mandir}/man1
%{__cp} -rpf chrome/* %{buildroot}/%{_datadir}/%{name}/chrome
%{__cp} -rpf defaults/* %{buildroot}/%{_datadir}/%{name}/defaults
%{__ln_s} classic-linux %{buildroot}/%{_datadir}/%{name}/chrome/skin/classic
cd chrome/content/platform/linux/
for i in *; do 
ln -s platform/linux/$i ../../$i
done
cd ../../../../
%{__ln_s} notify-linux.js %{buildroot}/%{_datadir}/%{name}/chrome/content/js/notify/notify.js
%{__ln_s} notify-linux.sh %{buildroot}/%{_datadir}/%{name}/chrome/content/notifications/notify.sh
%{__cp} -p application.ini %{buildroot}/%{_datadir}/%{name}
%{__cp} -p graphics/Buzzbird-Logo-150x150.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
%{__cp} -rpf extensions %{buildroot}/%{_datadir}/%{name}/extensions
desktop-file-install --dir=%{buildroot}/%{_datadir}/applications %{name}.desktop
touch %{buildroot}/%{_bindir}/buzzbird
chmod +x %{buildroot}/%{_bindir}/buzzbird
echo -e '#!/bin/bash\ncd %{_datadir}/%{name}\nxulrunner %{_datadir}/%{name}/application.ini' > %{buildroot}/%{_bindir}/buzzbird
%{__cp} -p %{SOURCE1} %{buildroot}%{_mandir}/man1/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_bindir}/buzzbird
%{_mandir}/man1/*

%changelog
* Sat Jan 8 2010 Jan Klepek <jan.klepek at, gmail.com> - 0.9.1-1
- initial import
